Skip to main content

getEvent

Looks up an event in the calendar store by its id. Returns undefined when no event matches.

Usage

getEvent(id: string | number): CalendarEvent | undefined;
ParameterTypeDescription
idstring | numberEvent id to look up

Example

<script setup>
import { Calendar } from "@svar-ui/vue-calendar";
import { ref } from "vue";

const api = ref(null);

function logEvent() {
const event = api.value.getEvent(42);
console.log(event);
}
</script>

<template>
<Calendar ref="api" :events="events" />
</template>

Generated recurring-instance IDs — the encodeId() form such as "42###2026-03-09" returned by getEvents(start, end) — do not resolve here; getEvent returns undefined for them. Look the instance up in a bounded getEvents result instead.

  • getEvents — list events in a date range.
  • getState — full state snapshot including selected event.
  • events — the source array getEvent looks up against.

Skip to main content

getEvent

Looks up an event in the calendar store by its id. Returns undefined when no event matches.

Usage

getEvent(id: string | number): CalendarEvent | undefined;
ParameterTypeDescription
idstring | numberEvent id to look up

Example

import { useRef } from "react";
import { Calendar } from "@svar-ui/react-calendar";

function App() {
const apiRef = useRef(null);

function logEvent() {
const event = apiRef.current.getEvent(42);
console.log(event);
}

return <Calendar ref={apiRef} events={events} />;
}

Generated recurring-instance IDs — the encodeId() form such as "42###2026-03-09" returned by getEvents(start, end) — do not resolve here; getEvent returns undefined for them. Look the instance up in a bounded getEvents result instead.

  • getEvents — list events in a date range.
  • getState — full state snapshot including selected event.
  • events — the source array getEvent looks up against.